Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache
Class OptimisticTransactionEntry

    java.lang.Object
      org.jboss.cache.TransactionEntry
          org.jboss.cache.OptimisticTransactionEntry

    public class OptimisticTransactionEntry

extends TransactionEntry

Subclasses the `TransactionEntry` class to add a `TransactionWorkspace`. Used with optimistic locking where each call is assigned a trasnaction and a transaction workspace.

Author:
  Manik Surtani (manik@jboss.org), Steve Woodcock (stevew@jofti.com)

Field Summary

Fields inherited from class org.jboss.cache.TransactionEntry
`cl_mod_list, dummyNodesCreatedByCacheLoader, locks, ltx, modification_list, option, undo_list`

Constructor Summary
`OptimisticTransactionEntry()`

Method Summary
`TransactionWorkspace` | `getTransactionWorkSpace()`
`void` | `setTransactionWorkSpace(TransactionWorkspace transactionWorkSpace)`
`java.lang.String` | `toString()` Returns debug information about this transaction.

Methods inherited from class org.jboss.cache.TransactionEntry
`addCacheLoaderModification, addLock, addLocks, addModification, addUndoOperation, getCacheLoaderModifications, getDummyNodesCreatedByCacheLoader, getLocks, getModifications, getOption, getTransaction, getUndoOperations, loadUninitialisedNode, releaseAllLocks, releaseAllLocksFIFO, releaseAllLocksLIFO, setOption, setTransaction, undoOperations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OptimisticTransactionEntry

    public OptimisticTransactionEntry()

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `TransactionEntry`
  Returns debug information about this transaction.

  Overrides:
    `toString` in class `TransactionEntry`

### getTransactionWorkSpace

    public TransactionWorkspace getTransactionWorkSpace()

  Returns:
    Returns the transactionWorkSpace.

### setTransactionWorkSpace

    public void setTransactionWorkSpace(TransactionWorkspace transactionWorkSpace)

  Parameters:
    `transactionWorkSpace` - The transactionWorkSpace to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.